Commit d801204a authored by Francois-Rene Rideau's avatar Francois-Rene Rideau
Browse files

Releasing ASDF 2.000. Yeah!

Bump versions in code and documentation.
parent b944f839
...@@ -70,7 +70,7 @@ ...@@ -70,7 +70,7 @@
:test 'equalp :key 'car)) :test 'equalp :key 'car))
(let* ((asdf-version (let* ((asdf-version
;; the 1+ helps the version bumping script discriminate ;; the 1+ helps the version bumping script discriminate
(subseq "VERSION:1.728" (1+ (length "VERSION")))) (subseq "VERSION:2.000" (1+ (length "VERSION"))))
(existing-asdf (find-package :asdf)) (existing-asdf (find-package :asdf))
(vername '#:*asdf-version*) (vername '#:*asdf-version*)
(versym (and existing-asdf (versym (and existing-asdf
...@@ -337,7 +337,7 @@ ...@@ -337,7 +337,7 @@
(defun asdf-version () (defun asdf-version ()
"Exported interface to the version of ASDF currently installed. A string. "Exported interface to the version of ASDF currently installed. A string.
You can compare this string with e.g.: You can compare this string with e.g.:
(ASDF:VERSION-SATISFIES (ASDF:ASDF-VERSION) \"1.704\")." (ASDF:VERSION-SATISFIES (ASDF:ASDF-VERSION) \"2.000\")."
*asdf-version*) *asdf-version*)
(defvar *resolve-symlinks* t (defvar *resolve-symlinks* t
...@@ -3361,7 +3361,7 @@ with a different configuration, so the configuration would be re-read then." ...@@ -3361,7 +3361,7 @@ with a different configuration, so the configuration would be re-read then."
(setf excl:*warn-on-nested-reader-conditionals* *acl-warn-save*))) (setf excl:*warn-on-nested-reader-conditionals* *acl-warn-save*)))
(pushnew :asdf *features*) (pushnew :asdf *features*)
(pushnew :asdf2 *features*) ;; this is a release candidate for ASDF 2.0 (pushnew :asdf2 *features*)
(provide :asdf) (provide :asdf)
......
...@@ -170,11 +170,9 @@ to learn how to define a system of your own. ...@@ -170,11 +170,9 @@ to learn how to define a system of your own.
the ASDF internals and how to extend ASDF. the ASDF internals and how to extend ASDF.
@emph{Nota Bene}: @emph{Nota Bene}:
We are preparing for a release of ASDF 2, hopefully for May 2010, We have released ASDF 2.000 on May 31st 2010.
which will have version 2.000 and later. It hopefully will have been it included
Current releases, in the 1.700 series and beyond, in all CL maintained implementations shortly afterwards.
should be considered as release candidates.
We're still working on polishing the code and documentation.
@xref{FAQ,,``What has changed between ASDF 1 and ASDF 2?''}. @xref{FAQ,,``What has changed between ASDF 1 and ASDF 2?''}.
...@@ -241,7 +239,7 @@ If it returns the keyword @code{:OLD}, ...@@ -241,7 +239,7 @@ If it returns the keyword @code{:OLD},
then you're using an old version of ASDF (from before 1.635). then you're using an old version of ASDF (from before 1.635).
If it returns @code{NIL} then ASDF is not installed. If it returns @code{NIL} then ASDF is not installed.
If you are running a version older than 1.711, If you are running a version older than 2.000,
we recommend that you load a newer ASDF using the method below. we recommend that you load a newer ASDF using the method below.
...@@ -2522,26 +2520,21 @@ use the @url{http://common-lisp.net/cgi-bin/mailman/listinfo/asdf-devel,asdf-dev ...@@ -2522,26 +2520,21 @@ use the @url{http://common-lisp.net/cgi-bin/mailman/listinfo/asdf-devel,asdf-dev
@subsection What are ASDF 1 and ASDF 2? @subsection What are ASDF 1 and ASDF 2?
We are preparing for a release of ASDF 2, On May 31st 2010, we have released ASDF 2.
which will have version 2.000 and later. ASDF 2 refers to release 2.000 and later.
While the code and documentation are essentially complete (Releases between 1.656 and 1.728 were development releases for ASDF 2.)
we are still working on polishing them before release. ASDF 1 to any release earlier than 1.369 or so.
If your ASDF doesn't sport a version, it's an old ASDF 1.
Releases in the 1.700 series and beyond ASDF 2 and its release candidates push
should be considered as release candidates.
For all practical purposes,
ASDF 2 refers to releases later than 1.656,
and ASDF 1 to any release earlier than 1.369 or so.
If your ASDF doesn't have a version, it's old.
ASDF 2 release candidates and beyond will have
@code{:asdf2} onto @code{*features*} so that if you are writing @code{:asdf2} onto @code{*features*} so that if you are writing
ASDF-dependent code you may check for this feature ASDF-dependent code you may check for this feature
to see if the new API is present. to see if the new API is present.
@emph{All} versions of ASDF should have the @code{:asdf} feature. @emph{All} versions of ASDF should have the @code{:asdf} feature.
If you are experiencing problems or limitations of any sort with ASDF 1, If you are experiencing problems or limitations of any sort with ASDF 1,
we recommend that you should upgrade to ASDF 2 or its latest release candidate. we recommend that you should upgrade to ASDF 2,
or whatever is the latest release.
@subsection ASDF can portably name files in subdirectories @subsection ASDF can portably name files in subdirectories
...@@ -2689,7 +2682,7 @@ or take great pains to have the correct version of ASDF installed. ...@@ -2689,7 +2682,7 @@ or take great pains to have the correct version of ASDF installed.
With ASDF 2, we provide a new stable set of working features With ASDF 2, we provide a new stable set of working features
that everyone can rely on from now on. that everyone can rely on from now on.
Use @code{#+asdf2} to detect presence of ASDF 2, Use @code{#+asdf2} to detect presence of ASDF 2,
@code{(asdf:version-satisfies (asdf:asdf-version) "1.711")} @code{(asdf:version-satisfies (asdf:asdf-version) "2.000")}
to check the availability of a version no earlier than required. to check the availability of a version no earlier than required.
......
...@@ -39,8 +39,7 @@ ...@@ -39,8 +39,7 @@
(assert (assert
(asdf::version-satisfies (asdf:asdf-version) (asdf:asdf-version))) (asdf::version-satisfies (asdf:asdf-version) (asdf:asdf-version)))
(assert (assert
(asdf::version-satisfies (asdf:asdf-version) "1.608")) (asdf::version-satisfies (asdf:asdf-version) "2.000"))
(assert (assert
(not (asdf::version-satisfies (asdf:asdf-version) "666"))) (not (asdf::version-satisfies (asdf:asdf-version) "666")))
) )
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment